package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.common.dto.GetHospitalDeptDTO;
import com.lantone.common.dto.GetHospitalTreeDTO;
import com.lantone.dblayermbg.entity.Hospital;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：sys_hospital Mapper接口
 * </p>
 */
public interface HospitalMapper extends BaseMapper<Hospital> {

    List<GetHospitalTreeDTO> getHospitalTreeInfo(@Param("hospitalId") long hospitalId);

    List<GetHospitalDeptDTO> getUserHospitalDept(@Param("hospitalId")Long hospitalId,@Param("userId") Long userId);

    List<GetHospitalDeptDTO> getUserHospital(@Param("hospitalId")Long hospitalId,@Param("userId") Long userId);
}